| highlighting-kate-0.2.7.1: Syntax highlighting | Source code | Contents | Index

Text.Highlighting.Kate.Syntax

Synopsis

highlightAs :: String -> String -> Either String [SourceLine]
languages :: [String]
languagesByExtension :: String -> [String]
languagesByFilename :: FilePath -> [String]

Documentation

highlightAs | Source

:: String | Language syntax
-> String | Source code to highlight
-> Either String [SourceLine] | Either error message or result
Highlight source code using a specified syntax definition.

languages :: [String] | Source

List of supported languages.

languagesByExtension :: String -> [String] | Source

Returns a list of languages appropriate for the given file extension.

languagesByFilename :: FilePath -> [String] | Source

Returns a list of languages appropriate for the given filename.
Produced by Haddock version 2.4.2